You are here

Extensions incompatible with Fx 3.5 [Fixes here]

6 posts / 0 new
Last post
NathanJ79
NathanJ79's picture
Offline
Last seen: 4 years 4 months ago
Joined: 2007-07-31 15:07
Extensions incompatible with Fx 3.5 [Fixes here]

A few Firefox extensions have proven to be incompatible with Firefox 3.5, so this topic is dedicated to those that are not and ways around them.

QuickProxy
Simple on/off switch for proxies; good for work/home or school/home interoperability.
Current version does not work, but the new version is in the process of being tested and approved by AMO. If you click on "See all versions" or something like that on the extension's page at AMO, you can get the newest one. Don't try to get the one on the top, unless you have a Mozilla account; get the second one (version numbers look the same).

Resizeable Textarea
Lets you stretch text input fields such as those found on forums.
This extension does not work with Firefox 3.5 and the developer has not expressed interest via AMO to update it. The extension Text Area Resizer and Mover does work with Fx 3.5 and it has a few other options as well.

Tab Mix Plus
Over 100 tweaks to the tabbed browsing aspect of Firefox.
You cannot use the current version, however you can get a beta
on their forum.

If you're wondering what happened with this topic, it used to be called "Tab Mix Plus DOES work with Fx 3.5" but I figured I'd expand it.

If you know of any other extensions that don't work AND how to make them work OR a reasonable alternative, please tell.

R.
Offline
Last seen: 9 years 11 months ago
Joined: 2006-04-11 20:38
You know this one?

Well, not sure if this is common knowledge on this forum, but most of the add-ons that have not been updated to the recent FF version and work no more can easily be made to work again by changing the entry "max.Version" in the install.rdf file. Goes like that: rename the extension of the add-on from .xpi to .zip. Open "install.rdf" and edit the "em:maxVersion" entry, for instance to 3.5. Save, then rename to .xpi again. All most all of the add-ons that have no update yet for FF3.5 I managed to make work again like that.

BullDozer
Offline
Last seen: 3 months 3 weeks ago
Joined: 2008-01-03 20:09
Thanks for the tip

Thanks for the tip

NathanJ79
NathanJ79's picture
Offline
Last seen: 4 years 4 months ago
Joined: 2007-07-31 15:07
Don't know about here

Not sure about here, but I think it's common knowledge at AMO, and frequently recommended. I knew about the process, but didn't have the specifics on hand. I won't do that for major updates (e.g. 3.0.11 to 3.5) but, say, for 3.0.10 to 3.0.11 it wouldn't be a problem. I figure if it's not compatible across a major update, there's a good reason, so I'll look for a beta that is compatible or an alternate extension.

But thanks for posting that for those who would go that route, but [they should] take note that in some cases it might lead to trouble. For example Fx 3.5 introduces a feature where you can "tear away" tabs to make new windows, and this reportedly had problems with the last-posted version of Tab Mix Plus. So you wouldn't want to fool it into thinking it could work with Fx 3.5 when there exists a known and documented problem. But, say, for Resizeable Textarea, it probably would have been fine.

RMB Fixed
Offline
Last seen: 14 years 5 months ago
Joined: 2006-10-24 10:30
..

Yep, but if you install Mr.Tech Toolkit there is no need to edit anything manually ..
https://addons.mozilla.org/en-US/firefox/addon/421
Besides, it has a whole bunch of other nice features Smile

m-p-3
m-p-3's picture
Offline
Last seen: 1 month 3 weeks ago
Joined: 2006-06-17 21:25
Just reinstalled QuickProxy

Just reinstalled QuickProxy this morning. Glad it got updated for 3.5.

Log in or register to post comments